Announcement Announcement Module
Collapse
No announcement yet.
Spring Extension for WebLogic server Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Spring Extension for WebLogic server

    Hi,

    I am using Spring 3.2 with weblogic 12.1.1. On deploying my ear package I get the following exception

    weblogic.application.ModuleException: ***** ASSERTION FAILED *****[ The following exception is thrown during loading class org.springframework.jee.spi.PitchforkUtilsImpl: ]
    at weblogic.servlet.internal.WebAppModule.activateCon texts(WebAppModule.java:1695)
    at weblogic.servlet.internal.WebAppModule.activate(We bAppModule.java:763)
    at weblogic.application.internal.flow.ModuleStateDriv er$2.next(ModuleStateDriver.java:192)
    at weblogic.application.internal.flow.ModuleStateDriv er$2.next(ModuleStateDriver.java:187)
    at weblogic.application.utils.StateMachineDriver.next State(StateMachineDriver.java:35)
    Truncated. see log file for complete stacktrace
    Caused By: java.lang.ClassNotFoundException: org.springframework.jee.spi.PitchforkUtilsImpl
    at java.net.URLClassLoader$1.run(URLClassLoader.java: 202)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.net.URLClassLoader.findClass(URLClassLoader.j ava:190)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:3 06)
    at sun.misc.Launcher$AppClassLoader.loadClass(Launche r.java:301)
    Truncated. see log file for complete stacktrace

    I added pitchfork-1.0-m5.jar (which is the latest i could find) to the wls classpath but that dint seem to solve the problem too. On oracle site i saw that suported spring verison for pitchfork-1.0-m5.jar is 2.0.2.
    Please could you help as to how i can resolve this exception. Is there a specific spring version that I need to use with weblogic 12.1.1.

    Thanks
    AS
Working...
X